foreach pkg in fsx estout {
  capture which `pkg'
  if _rc==111 ssc install `pkg'
}

capture program drop dostore_cdp_90
program define dostore_cdp_90
    version 10.0

    est clear

    fsx h5*.pooled.scd.dta
    foreach file in `r(files)' {
        clear
        use `file'
        local tmp=regexm("`file'", "[0-9]+\.([a-z]+)\.")
        local model=regexs(1)
        local tmp=regexm("`0'", " (.*)$")
        local cmd=regexs(1)
        eststo `model': quietly `cmd'
    }

    esttab using `1'.csv, csv mtitles replace
end

capture program drop dostore_cdw_90
program define dostore_cdw_90
    version 10.0

    est clear

    fsx h5*.wide.scd.dta
    foreach file in `r(files)' {
        clear
        use `file'
        local tmp=regexm("`file'", "[0-9]+\.([a-z]+)\.")
        local model=regexs(1)
        local tmp=regexm("`0'", " (.*)$")
        local cmd=regexs(1)
        eststo `model': quietly `cmd'
    }

    esttab using `1'.csv, csv mtitles replace
end

capture program drop dostore_cdp_70
program define dostore_cdp_70
    version 10.0

    est clear

    fsx h4*.pooled.scd.dta
    foreach file in `r(files)' {
        clear
        use `file'
        local tmp=regexm("`file'", "[0-9]+\.([a-z]+)\.")
        local model=regexs(1)
        local tmp=regexm("`0'", " (.*)$")
        local cmd=regexs(1)
        eststo `model': quietly `cmd'
    }

    esttab using `1'.csv, csv mtitles replace
end

capture program drop dostore_cdw_70
program define dostore_cdw_70
    version 10.0

    est clear

    fsx h4*.wide.scd.dta
    foreach file in `r(files)' {
        clear
        use `file'
        local tmp=regexm("`file'", "[0-9]+\.([a-z]+)\.")
        local model=regexs(1)
        local tmp=regexm("`0'", " (.*)$")
        local cmd=regexs(1)
        eststo `model': quietly `cmd'
    }

    esttab using `1'.csv, csv mtitles replace
end

capture program drop dostore_slp_90
program define dostore_slp_90
    version 10.0

    est clear

    fsx h5*.pooled.sl.dta
    foreach file in `r(files)' {
        clear
        use `file'
        local tmp=regexm("`file'", "[0-9]+\.([a-z]+)\.")
        local model=regexs(1)
        local tmp=regexm("`0'", " (.*)$")
        local cmd=regexs(1)
        eststo `model': quietly `cmd'
    }

    esttab using `1'.csv, csv mtitles replace
end

capture program drop dostore_slw_90
program define dostore_slw_90
    version 10.0

    est clear

    fsx h5*.wide.sl.dta
    foreach file in `r(files)' {
        clear
        use `file'
        local tmp=regexm("`file'", "[0-9]+\.([a-z]+)\.")
        local model=regexs(1)
        local tmp=regexm("`0'", " (.*)$")
        local cmd=regexs(1)
        eststo `model': quietly `cmd'
    }

    esttab using `1'.csv, csv mtitles replace
end

capture program drop dostore_slp_70
program define dostore_slp_70
    version 10.0

    est clear

    fsx h4*.pooled.sl.dta
    foreach file in `r(files)' {
        clear
        use `file'
        local tmp=regexm("`file'", "[0-9]+\.([a-z]+)\.")
        local model=regexs(1)
        local tmp=regexm("`0'", " (.*)$")
        local cmd=regexs(1)
        eststo `model': quietly `cmd'
    }

    esttab using `1'.csv, csv mtitles replace
end

capture program drop dostore_slw_70
program define dostore_slw_70
    version 10.0

    est clear

    fsx h4*.wide.sl.dta
    foreach file in `r(files)' {
        clear
        use `file'
        local tmp=regexm("`file'", "[0-9]+\.([a-z]+)\.")
        local model=regexs(1)
        local tmp=regexm("`0'", " (.*)$")
        local cmd=regexs(1)
        eststo `model': quietly `cmd'
    }

    esttab using `1'.csv, csv mtitles replace
end
